> This is a page from the ElevenLabs documentation. For a complete page index, fetch https://elevenlabs.io/docs/llms.txt. For the full documentation in a single file, fetch https://elevenlabs.io/docs/llms-full.txt. # Get Chapter GET https://api.elevenlabs.io/v1/studio/projects/{project_id}/chapters/{chapter_id} Returns information about a specific chapter. Reference: https://elevenlabs.io/docs/api-reference/studio/get-chapter ## Servers - `https://api.elevenlabs.io` (Production, default) - `https://api.us.elevenlabs.io` (Production US) - `https://api.eu.residency.elevenlabs.io` (Production EU) - `https://api.in.residency.elevenlabs.io` (Production India) - `https://api.sg.residency.elevenlabs.io` (Production Singapore) ## Request ### Path parameters - `project_id` (string, required) — The ID of the project to be used. You can use the [List projects](/docs/api-reference/studio/get-projects) endpoint to list all the available projects. - `chapter_id` (string, required) — The ID of the chapter to be used. You can use the [List project chapters](/docs/api-reference/studio/get-chapters) endpoint to list all the available chapters. ## Response ### 200 Successful Response - `chapter_id` (string, required) — The ID of the chapter. - `name` (string, required) — The name of the chapter. - `can_be_downloaded` (boolean, required) — Whether the chapter can be downloaded. - `state` (enum, required) — The state of the chapter. - Allowed values: `default`, `converting` - `content` (ChapterContentResponseModel, required) - `last_conversion_date_unix` (integer, optional, nullable) — The last conversion date of the chapter. - `conversion_progress` (double, optional, nullable) — The conversion progress of the chapter. - `has_video` (boolean, optional, nullable) — Whether the chapter has a video. - `has_visual_content` (boolean, optional, nullable) — Whether the chapter has any visual content (video, image, or text clips). - `voice_ids` (list of string, optional, nullable) — List of voice ids used by the chapter - `statistics` (ChapterStatisticsResponseModel, optional, nullable) — The statistics of the chapter. - `last_conversion_error` (string, optional, nullable) — The last conversion error of the chapter. ## Errors ### 422 Unprocessable Entity Error Validation Error - `detail` (list of ValidationError, optional) ## Types ### ChapterContentResponseModel - `blocks` (list of ChapterContentBlockResponseModel, required) ### ChapterStatisticsResponseModel - `characters_unconverted` (integer, required) — The number of unconverted characters. - `characters_converted` (integer, required) — The number of converted characters. - `paragraphs_converted` (integer, required) — The number of converted paragraphs. - `paragraphs_unconverted` (integer, required) — The number of unconverted paragraphs. - `credits_needed_to_convert` (integer, optional, nullable) — The number of credits needed to convert the remaining paragraphs. - `voice_statistics` (list of VoiceStatisticsResponseModel, optional, nullable) — Per-voice breakdown of character counts. ### ValidationError - `loc` (list of ValidationErrorLocItems, required) - `msg` (string, required) - `type` (string, required) ### ChapterContentBlockResponseModel - `block_id` (string, required) - `nodes` (list of ChapterContentBlockResponseModelNodesItems, required) ### VoiceStatisticsResponseModel - `project_voice_ref_id` (string, required) — The project voice reference ID. - `characters_unconverted` (integer, required) — The number of unconverted characters for this voice. - `characters_converted` (integer, required) — The number of converted characters for this voice. - `voice_id` (string, required, deprecated) — The voice ID. - `credits_needed_to_convert` (integer, optional, nullable) — The number of credits needed to convert the remaining audio for this voice. ### ValidationErrorLocItems ### ChapterContentBlockResponseModelNodesItems ### ChapterContentBlockTtsNodeResponseModel - `type` ("tts_node", required) - `project_voice_ref_id` (string, required) - `text` (string, required) - `voice_id` (string, required, deprecated) ### ChapterContentBlockExtendableNodeResponseModel Not used. Make sure you anticipate new types in the future. - `type` ("_other", required) ## Examples **Response** ```json { "chapter_id": "aw1NgEzBg83R7vgmiJt6", "name": "Chapter 1", "can_be_downloaded": true, "state": "default", "content": { "blocks": [] }, "last_conversion_date_unix": 1714204800, "conversion_progress": 0.5, "statistics": { "characters_unconverted": 100, "characters_converted": 200, "paragraphs_converted": 5, "paragraphs_unconverted": 3 } } ``` **SDK Code** ```python import requests url = "https://api.elevenlabs.io/v1/studio/projects/21m00Tcm4TlvDq8ikWAM/chapters/21m00Tcm4TlvDq8ikWAM" response = requests.get(url) print(response.json()) ``` ```javascript const url = 'https://api.elevenlabs.io/v1/studio/projects/21m00Tcm4TlvDq8ikWAM/chapters/21m00Tcm4TlvDq8ikWAM'; const options = {method: 'GET'}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.elevenlabs.io/v1/studio/projects/21m00Tcm4TlvDq8ikWAM/chapters/21m00Tcm4TlvDq8ikWAM" req, _ := http.NewRequest("GET", url, nil) res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.elevenlabs.io/v1/studio/projects/21m00Tcm4TlvDq8ikWAM/chapters/21m00Tcm4TlvDq8ikWAM") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.elevenlabs.io/v1/studio/projects/21m00Tcm4TlvDq8ikWAM/chapters/21m00Tcm4TlvDq8ikWAM") .asString(); ``` ```php request('GET', 'https://api.elevenlabs.io/v1/studio/projects/21m00Tcm4TlvDq8ikWAM/chapters/21m00Tcm4TlvDq8ikWAM'); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.elevenlabs.io/v1/studio/projects/21m00Tcm4TlvDq8ikWAM/chapters/21m00Tcm4TlvDq8ikWAM"); var request = new RestRequest(Method.GET); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let request = NSMutableURLRequest(url: NSURL(string: "https://api.elevenlabs.io/v1/studio/projects/21m00Tcm4TlvDq8ikWAM/chapters/21m00Tcm4TlvDq8ikWAM")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ``` > ElevenLabs provides APIs and SDKs for text to speech, voice cloning, speech to text, sound effects, voice isolator, voice changer, and conversational AI agents. Build voice-enabled applications with lifelike audio generation.